<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <div *ngIf="objFunction.approve">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approve' | translate}}" (click)="approveSalaryProcess(true)"
               mbButtonType="NO_BORDER"  mbButtonAvailableStyle="BtnCancelHasBorder" [mbIsDisable]="loading">
    </mb-button>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approveAll' | translate}}" (click)="approveAllSalaryProcess()"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle="PRIMARY" [mbIsDisable]="loading">
    </mb-button>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.reject' | translate}}" (click)="approveSalaryProcess(false)"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle='GRAY' [mbIsDisable]="loading">
    </mb-button>
  </div>
</div>

<div class="org-content-main">
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" [(ngModel)]="emp" [ngModelOptions]="{standalone: true}"
                            [multiple]="false" (selectedChange)="onChange($event)" [mbDisable]="false" [functionCode] = "functionCode"
                            mbLabelText="{{'polManagement.label.employeeCode' | translate}}">
      </hcm-mfe-employee-data-search-policy>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-input-text [ngModel]="fullName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.fullName' | translate }}"></mb-input-text>
    </div>
    <div nz-col [nzSpan]="6">
        <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbReadOnly]="true"
                     mbLabelText="{{ 'polManagement.label.org' | translate }}" (click)="showPopup()"></mb-input-text>
        <em
          *ngIf="orgName"
          nz-icon
          class="icon-close"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
    </div>
    <div nz-col [nzSpan]="6">
      <mb-input-text [defaultInput]="true"
                     [(ngModel)]="objectSearch.createBy" mbType="default" [mbMaxLength]="150" [defaultInput]="true"
                     mbLabelText="{{ 'polManagement.label.userCreate' | translate }}"></mb-input-text>
    </div>
  </div>

  <div nz-row>
    <div class="org-content-main__search" nz-col [nzSpan]="24">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="search()"
                 mbButtonText="{{'common.button.search' | translate}}">
      </mb-button>
    </div>
  </div>
</div>

<div class="salary-approve-input">
  <mb-input-text [(ngModel)]="description" mbType="default" [mbMaxLength]="4000" [defaultInput]="true"
                 [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true"
                 [mbIsTextAre]="true" [mbIsTextAreAutoResize]="true"
                 [mbType]="(submit && !description)&& !isApprove ?  'error' : 'default'"
                 [mbShowError]="submit && !description && !isApprove"
                 [mbErrors]="{required:true}"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'polManagement.validate.reasonReject' | translate }]"
                 mbLabelText="{{ 'polManagement.label.reasonApprove' | translate }}"></mb-input-text>
</div>

<div class="salary-table">
  <mb-table-merge-cell-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table-merge-cell (dblClickRow) = "onClickItem($event)" [nzWidthConfig]="nzWidthConfig" [nzScrollHeight]="'35vh'"
                         [setOfCheckedId]="setOfCheckedId"
                         [tableConfig]='tableConfig' [dataList]='dataTable'></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>
